import { Component, inject } from '@angular/core';
import { RouterOutlet } from '@angular/router';
import {TopbarComponent} from '../topbar/topbar.component';
import {TranslatePipe} from '@ngx-translate/core';
import {ParticleBackgroundComponent} from '../../shared/components/particles-background/particles-background.component';
import {SeoService} from '../../service/seo.service';


@Component({
  selector: 'app-root',
  imports: [RouterOutlet, TopbarComponent, TranslatePipe, ParticleBackgroundComponent],
  templateUrl: './app.component.html',
  styleUrl: './app.component.scss'
})
export class AppComponent {
  private readonly seo = inject(SeoService);
  currentYear = new Date().getFullYear();

  constructor() {
    this.seo.init();
  }
}
